curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"assigned_to": "string",
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"priority": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_to_build": "string",
"scheduled_end": "string",
"scheduled_start": "string",
"tasks": [
{
"assigned_to": "string",
"estimated_hours": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"sequence": 1,
"task_name": "string"
}
],
"work_center_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"priority": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_completed": "string",
"quantity_to_build": "string",
"status": "pending",
"work_order_number": "string"
}
Create a work order
Create a work order
POST
/
api
/
v1
/
work-orders
curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"assigned_to": "string",
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"priority": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_to_build": "string",
"scheduled_end": "string",
"scheduled_start": "string",
"tasks": [
{
"assigned_to": "string",
"estimated_hours": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"sequence": 1,
"task_name": "string"
}
],
"work_center_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"priority": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_completed": "string",
"quantity_to_build": "string",
"status": "pending",
"work_order_number": "string"
}
Request body
CreateWorkOrderRequest
string,null
string,null
string,null
string,null
One of
low, normal, high, urgent.string
required
string
required
Decimal quantity as a string.
string,null
RFC 3339 timestamp.
string,null
RFC 3339 timestamp.
array,null
string,null
Response
WorkOrderResponse
string,null
string
required
string
required
string,null
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"assigned_to": "string",
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"priority": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_to_build": "string",
"scheduled_end": "string",
"scheduled_start": "string",
"tasks": [
{
"assigned_to": "string",
"estimated_hours": "string",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"sequence": 1,
"task_name": "string"
}
],
"work_center_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"bom_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"priority": "string",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity_completed": "string",
"quantity_to_build": "string",
"status": "pending",
"work_order_number": "string"
}
Last modified on August 31, 2026